现在位置: 首页 >

所有2010年06月文章

Nginx+Tomcat部署

2010年06月29日 IT运维  ⁄ 共 4937字 ⁄ 被围观 0+ /评论:+0°
本文主要讲解Linux(例如CentOS)环境下Nginx+JSP/Nginx+Java/Nginx+Tomcat的部署方法。 1、 安装pcre 为了确保能在 Nginx 中使用正则表达式进行更灵活的配置,安装之前需要确定系统是否安装有 PCRE(Perl Compatible Regular Expressions)包 wget ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-7.7.tar.gz tar zxvf pcre-7.7.tar.gz cd pcre-7.7 ./configure make make install 2、 安装 nginx wget ht... 阅读全文

ratproxy使用方法,网站安全黑盒测试工具

2010年06月29日 IT运维  ⁄ 共 1026字 ⁄ 被围观 0+ /评论:+1°
在软件测试领域中,有许多方法可用来协助找寻受测的应用软件中所含有的错误,然而目前没有一种方法能够找出某一受测对象所含有的全部问题,想要找出所有包含的漏洞更是困难。目前有三种主要的测试方法,分别为:白盒测试(Whitebox),灰盒测试(Graybox),及黑盒测试 (Blackbox)。 然而,要采用何种方式,依施测者所能取得的相关资源而订,如:白盒测试适合取得相应的源代码,开发规格等资源、黑盒测试则是完全无法取得前述资源,... 阅读全文

jQuery DatePicker笔记

2010年06月19日 IT运维  ⁄ 共 13220字 ⁄ 被围观 1+ /评论:+5°
jQuery UI很强大,其中的日期选择插件Datepicker是一个配置灵活的插件,我们可以自定义其展示方式,包括日期格式、语言、限制选择日期范围、添加相关按钮以及其它导航等。 官方地址:http://docs.jquery.com/UI/Datepicker,官方示例: http://jqueryui.com/demos/datepicker/。 一个不错的地址,用来DIY jQuery UI界面效果的站点http://jqueryui.com/themeroller/ DatePicker基本使用方法: <!DOCTYPE html> <html&g... 阅读全文

Apache增加mod_expires模块+配置指南

2010年06月14日 IT运维  ⁄ 共 5631字 ⁄ 被围观 0+ /评论:+0°
为服务器增加文件头缓存控制,合理设置Javascript、图片、Flash文件过期设置,可以有效减少网站文件请求数量,提高网站访问速度。 在Apache中实现缓存控制的模块是mod_expires,对应源文件为mod_expires.c,一般默认安装并没有安装这个模块,我们可以通过以下步骤补充安装之(mod_expires官方说明): 1. Apache的mod_expires模块安装(/usr/local/apache是我的apache安装目录,/root/httpd-2.2.11是apache安装源文件目录): /us... 阅读全文

Ubuntu Geany打开文件乱码的解决方法

2010年06月12日 IT运维  ⁄ 共 956字 ⁄ 被围观 0+ /评论:+3°
Geany是Ubuntu下一款很不错的文本编辑工具和开发工具,但美中不足的是使用Geany打开非UTF-8编码的简体中文文件时,一般显示乱码,查看其属性会发现Geany对于中文文件是按照ISO8859-1编码打开的。 针对Ubuntu下Geany打开简体中文文件乱码的问题,有2个解决办法: 1、菜单->编辑->首选项->文件,选中固定的编码打开文件,在后面的下拉框中选择 简体中文(GBK) 2、创建第2套Geany配置,需要打开GBK文件时使用第2套配置打开,具体方... 阅读全文

Assigning the return value of new by reference is deprecated in xxxx.php解决方法

2010年06月03日 IT运维  ⁄ 共 375字 ⁄ 被围观 0+ /评论:+0°
自从php5.3,越来越多的人会遇到“Assigning the return value of new by reference is deprecated in xxxx.php”这样的提示,尤其是在国外产品中(例如wordpress、joolma),很多人的解决办法很简单:把php版本换回就版本就ok了。毫无疑问这是个好办法,对这种遇到问题不求甚解的态度可能会让人看到些什么。我认为要换回php的旧版本,其实是对php技术爱好者的一种羞辱(用词不当,大致是这个意思)。解决办法:php5.3开始后,废... 阅读全文
×
#